/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import React from "react"
import { Image, StyleSheet, Text, View } from "react-native"
import { ActivityIndicator } from "react-native-paper"
import UnauthorizedLayout from "./Profile/AuthLayout"
import { PrimaryButton } from "./Buttons"

export const Error: React.FC<{error: string, dismissErrorMethod: () => void}> = ({error, dismissErrorMethod}) => {
    return (
        <UnauthorizedLayout>
            <View style={{flex: 1, alignItems: 'center', justifyContent: 'center'}}>
                <Text style={{color: 'white', fontSize: 20, marginVertical: 25}}>{error}</Text>
                <PrimaryButton text="Okay" onPress={dismissErrorMethod} />
            </View>
        </UnauthorizedLayout>
    )
}

const styles = StyleSheet.create({

})