﻿/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import React from "react"
import { Image, StyleSheet, Text, View } from "react-native"
import { ActivityIndicator } from "react-native-paper"
import UnauthorizedLayout from "./Profile/AuthLayout"

export const Loading: React.FC = () => {
    return (
        <UnauthorizedLayout>
            <View style={{flex: 1, alignItems: 'center', justifyContent: 'center'}}>
                <ActivityIndicator size='large' color="white" />
                <Text style={{color: 'white', fontSize: 20, marginTop: 25}}>Loading</Text>
            </View>
        </UnauthorizedLayout>
    )
}

const styles = StyleSheet.create({

})