﻿/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import { StyleSheet } from "react-native";
import { colors } from "../../../utils/GlobalUtils";

export const ProfileMainStyles = StyleSheet.create({
    profileMainContainer: {
        flex: 1, 
        width: '100%', 
        height: '100%'
    },
    privacyButtonText: {
        fontSize: 12, 
        textDecorationLine: "underline", 
        alignSelf: "flex-end", 
        color: 'black', 
        paddingHorizontal: 20, 
        paddingTop: 20
    },
    logoutButtonContainer: {
        borderColor: 'lightgray', 
        borderTopWidth: 1, 
        borderBottomWidth: 1, 
        width: '100%'
    },
    logoutButtonText: {
        fontWeight: 'bold', 
        fontSize: 15, 
        paddingVertical: 10, 
        alignSelf: "center", 
        color: colors.red, 
        margin: 10
    },
    profileImage: {
        borderColor: 'gray', 
        borderWidth: 2, 
        height: 150, 
        width: 150, 
        marginTop: 15, 
        marginBottom: -50, 
        borderRadius: 75, 
        zIndex: 10,
        alignSelf: 'center', 
        overflow: "hidden",
    },
    profileImageOverlay: {
        position: 'absolute',
        bottom: 0,
        width: 150,
        height: '30%',
        alignItems: 'center', 
        alignSelf: 'center', 
        zIndex: 1,
        paddingHorizontal: 20,
        paddingTop: 5,
        backgroundColor: 'rgba(0,0,0, 0.4)'
    },
    profileSubContainer: {
        backgroundColor: 'white', 
        paddingHorizontal: 10, 
        paddingTop: 40, 
        paddingBottom: 25, 
        width: '100%', 
        borderTopLeftRadius: 10, 
        borderTopRightRadius: 10, 
        borderBottomLeftRadius: 10, 
        borderBottomRightRadius: 10
    },
    headerUsername: {
        textAlign: 'center', 
        marginTop: 20, 
        padding: 10
    },
    
})