﻿/* Copyright (C) Click & Push Accessibility, Inc - All Rights Reserved
 * Unauthorized copying of this file, via any medium is strictly prohibited
 * Proprietary and confidential
 * Written and maintained by the Click & Push Development team 
 * <dev@clicknpush.ca>, January 2022
 */

import { AxiosError } from "axios";
import Config from 'react-native-config'

/**
 * Array that maps {@linkcode landmark_type} from {@link Landmark} to a string representing that landmark type.
 */
 export const reportAxiosError = (desc: string,  error: AxiosError, printResponse?: boolean) => {
    let errorString = `XHR error: ${desc}\nError code: ${error.response?.status}\nError message: ${error.message}`;

    if (printResponse) {
        errorString + "\nError response: " + error.response;
    }
}

/**
 * Change the api url here
 */
//export const API_URL = 'http://192.168.3.81:8000'
// export const API_URL = 'https://staging.clicknpush.ca'

//export const API_URL = 'http://192.168.3.102:8001'   // Chase
export const API_URL = 'http://192.168.0.22:8000'       // Eric
//export const API_URL = 'https://app.clicknpush.ca'

// export const API_URL = Config.API_URL